  # Seqential File Read and Writing
  #
  # Read Example:
  #   sqf = SeqFile.new("test.txt")
  #   while !eof(sqf)
  #     puts sqf.read
  #   end
  #   sqf.close
  #
  #
  # Write Example:
  #   sqf = SeqFile.new("test.txt",false)
  #   sqf.write("My Test Line")
  #   sqf.close
  #
  #
  # Arguments:
  #  filename = name of file
  #  read mode = true (default)
  #  write mode = false 
  #  filename, [true/false]
  
  
  class SeqFile
    def initialize(filename = nil,read = true)
      if filename == nil
        filename = File.join(Rails.root, 'log', 'NoName-'+Time.now.localtime.strftime("%Y-%m-%d")+".log")
      end

      if read
        if FileTest::exist?(filename)
          @file = File.open(filename, 'r')
        else
          @file = File.open(filename, 'w+')
        end
      else
        @file = File.open(filename, 'a')
      end
    end
    
    def eof
      return @file.eof? 
    end
    
    def read
      return @file.gets.strip
    end

    def write(val)
      @file.puts val
    end
    
    
    def close
      @file.close
    end
    
  end